/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.pkcomp;

/**
 * @author J.Camilleri
 * Contributors:
 *   - H.Joanin
 */
public class APK implements java.io.Serializable 
{
    public String ida1;
    public int ida2;
 
    private int hashCode = -1;

    public APK() {
    }

    public APK(String ida1, int ida2)
    {
	this.ida1 = ida1;
	this.ida2 = ida2;
    }

    public boolean equals(Object other) 
    {
	if (other == null) {
	    return false;
	}
	if (other == this) {
	    return true;
	}
	if (!(other instanceof APK)) {
	    return false;
	}
	APK otherPK = (APK)other;
	return ((ida1.equals(otherPK.ida1)) && (ida2==otherPK.ida2));
    }

    public int hashCode() {
	if (hashCode == -1) {
	    hashCode = ida1.hashCode() ^ new Integer(ida2).hashCode();
	}
	return hashCode;
    }

    public String toString() {
	return("(" + ida1 + "-" + ida2 + ")");
    }
}

